Skip to main content
POST
/
user
/
reviews
Create review
curl --request POST \
  --url https://api.managem.co.uk/user/reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reviewedUserId": "<string>",
  "rating": 3,
  "source": {
    "id": "<string>",
    "type": "ORDER"
  },
  "content": "<string>"
}
'
{
  "id": "<string>",
  "rating": 123,
  "revisions": 123,
  "source": {
    "id": "<string>",
    "type": "ORDER"
  },
  "reviewedUser": {
    "id": "<string>",
    "username": "<string>",
    "reviews": 123,
    "rating": 123,
    "score": 123,
    "sales": 123,
    "purchases": 123,
    "joined": "2023-11-07T05:31:56Z",
    "avatar": "<string>",
    "cover": "<string>",
    "profile": "<string>"
  },
  "content": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Input for creating a review

reviewedUserId
string
required

ID of the user being reviewed

rating
integer
required

Rating between 1 and 5

Required range: 1 <= x <= 5
source
object
required

Source that the review refers to

content
string

Optional textual feedback

Response

Review created

Review authored by the user

id
string
required

Unique identifier for the review

rating
integer
required

Rating given in the review

revisions
integer
required

Number of times the review has been revised

source
object
required

Source associated with the review

reviewedUser
object
required

User that the review is about

content
string

Optional textual feedback

createdAt
string | null

Timestamp when the review was created